commit 80e4ab04401d38d4924dac153a53c9b2108f560c
Author: Ian Barwick <barwick@gmail.com>
Date:   Tue Oct 6 20:51:03 2020 +0900

    doc: remove reference to pre-8.2 pg_dump behaviour
    
    The behavioural change in the -t/--table option happened around 15
    years ago and there seems little point in keeping it around.

diff --git a/doc/src/sgml/ref/pg_dump.sgml b/doc/src/sgml/ref/pg_dump.sgml
index 1400cf8775..f99dc3f31e 100644
--- a/doc/src/sgml/ref/pg_dump.sgml
+++ b/doc/src/sgml/ref/pg_dump.sgml
@@ -548,18 +548,6 @@ PostgreSQL documentation
         </para>
        </note>
 
-       <note>
-        <para>
-         The behavior of the <option>-t</option> switch is not entirely upward
-         compatible with pre-8.2 <productname>PostgreSQL</productname>
-         versions.  Formerly, writing <literal>-t tab</literal> would dump all
-         tables named <literal>tab</literal>, but now it just dumps whichever one
-         is visible in your default search path.  To get the old behavior
-         you can write <literal>-t '*.tab'</literal>.  Also, you must write something
-         like <literal>-t sch.tab</literal> to select a table in a particular schema,
-         rather than the old locution of <literal>-n sch -t tab</literal>.
-        </para>
-       </note>
       </listitem>
      </varlistentry>
 
